## org.hibernate.jdbc
Class BatchedTooManyRowsAffectedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.jdbc.TooManyRowsAffectedException
                          org.hibernate.jdbc.BatchedTooManyRowsAffectedException

All Implemented Interfaces:
  Serializable

    public class BatchedTooManyRowsAffectedException

extends TooManyRowsAffectedException

Much like `TooManyRowsAffectedException`, indicates that more rows than what we were expcecting were affected. Additionally, this form occurs from a batch and carries along the batch positon that failed.

See Also:
  Serialized Form

Constructor Summary
`BatchedTooManyRowsAffectedException(String message, int expectedRowCount, int actualRowCount, int batchPosition)`

Method Summary
`int` `getBatchPosition()`

Methods inherited from class org.hibernate.jdbc.TooManyRowsAffectedException
`getActualRowCount, getExpectedRowCount`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BatchedTooManyRowsAffectedException

    public BatchedTooManyRowsAffectedException(String message,
                                               int expectedRowCount,
                                               int actualRowCount,
                                               int batchPosition)

Method Detail

### getBatchPosition

    public int getBatchPosition()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.